Bug 4245 - Bestseller's Club and email notifications
Summary: Bestseller's Club and email notifications
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.4
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-23 02:17 UTC by Jane Wagner
Modified: 2012-10-26 00:51 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screen shot of club archetype setup (65.25 KB, image/jpeg)
2010-02-23 14:17 UTC, Chris Cormack
Details
screen shot of club setup (71.23 KB, image/jpeg)
2010-02-23 14:18 UTC, Chris Cormack
Details
screen shot of OPAC user club enrollment (75.33 KB, image/jpeg)
2010-02-23 14:18 UTC, Chris Cormack
Details
enable multiple hold working with item-level_itype=ON (2.59 KB, patch)
2010-04-24 21:40 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:24:52 UTC


---- Reported by jwagner@ptfs.com 2010-02-23 14:17:57 ----

Created an attachment
Screen shot of club archetype setup

Sponsored by Middletown Township Public Library, Middletown, NJ, USA.

The library wanted a way for patrons to join a bestseller's club and have holds automatically placed on any matching new title.  They also (separately) wanted emails to go to patrons when new titles matching certain criteria were added to the collection.  Kyle Hall revised and expanded his earlier Bestseller's Club function to allow creation of both clubs and services (email notification).  Patrons can join them through the OPAC (or staff can enroll patrons).  If a title and item matching a club setup is added, everyone in the club gets an automatic hold placed on the item (the priority order is randomized each time).  Patrons who've joined an email list get a regular (probably weekly) email of any new titles matching the list.

Instructions:

The feature is under Tools, Clubs and Services.  There must first be at least one archetype for each (club and service).  Multiple clubs can be created based on the archetype.

Create a new club, and fill out the data required. You can set the club by Title and/or Author; probably most of the time it will be author. The author field here has to match the author field of the items exactly. For example, to make a Larry Niven bestseller's club, fill in the author field with 'Niven, Larry.' (Don't enter the quote marks, but note the period after the name).  After that, a batch hold is placed on any newly catalogued item where the author field is 'Niven, Larry.'.  (NOTE:  Only applies to new titles, not to new items added to existing titles.) You can use % for truncation, like Personal memoir% (for anything starting with that string).  Under Clubs & Services Home, you can enroll new users, or click details to see current list and remove users.  You can also add/delete users from the patron record in staff or OPAC.  If the list is created to allow public enrollment, patrons can join through their OPAC account.

You can restrict the clubs to certain item type codes, so that for example a hold would only be triggered on a book, not a DVD of the same title/author.  However, because a title can be added without items attached, the underlying club software must rely on the biblioitems.itemtype field, not the actual item record's setting.  When a record is imported, Koha sets this field from the first item type in the list on your system, which may not be appropriate.  To be sure the title will be included or excluded from a club, before saving the title edit the 942 subfield c to the appropriate item type.  This is the field the club software uses; it does not look at the 952 subfield y.

The mailing lists are based on two criteria, the itemtype and the callnumber. For example, if you want a list for new science fiction novels, and your sf books all begin with the call number 'SF author', then you would fill in the callnumber field with 'SF %'.  (Don't use the actual quote marks in any of these examples -- they're here for clarity and to show the spacing.) To limit to only the book itemtype, put 'BK' in the itemtype field (assuming that is what you set the book itemtypes code to). To make it work for all itemtypes, just put '%' in the itemtype field. For an inverse example, such as a new DVD list, just fill in the itemtype with 'DVD', and the author field with '%'.   For email notifications, the mailinglist.pl script will send out a weekly e-mail based on a New Items Email List archetype (name needs to be exactly that). The e-mail is based on the template file found in the misc/cronjobs/mailinglist directory; this template can be customized for each library.  The script is also found in misc/cronjobs/mailinglist and should be cronned to run weekly.  The script looks for items created less than seven days ago matching the other parameters.  NOTE:  the delivered template file uses the syspref OPACBaseURL to create a direct link to the title record.  Make sure that syspref has the correct setting.



---- Additional Comments From jwagner@ptfs.com 2010-02-23 14:18:23 ----

Created an attachment
screen shot of club setup





---- Additional Comments From jwagner@ptfs.com 2010-02-23 14:18:43 ----

Created an attachment
screen shot of OPAC user club enrollment





---- Additional Comments From paul.poulain@biblibre.com 2010-04-24 21:40:52 ----

Created an attachment
enable multiple hold working with item-level_itype=ON





---- Additional Comments From paul.poulain@biblibre.com 2010-04-24 21:41:54 ----

(From update of attachment 1824 [details])
oups, wrong bug, sorry



---- Additional Comments From jwagner@ptfs.com 2010-05-12 13:58:17 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4245




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:24 UTC  ---

This bug was previously known as _bug_ 4245 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4245
Imported an attachment (id=1938)
Imported an attachment (id=1939)
Imported an attachment (id=1940)
Imported an attachment (id=1941)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was kohaprogrammers@ptfs.com.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
Bug reassigned, setting status to "NEW".
   Previous status was "ASSIGNED".
CC member jwagner@ptfs.com does not have an account here
The original submitter of attachment 1938 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1939 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1940 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1941 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Chris Cormack 2011-04-08 01:45:20 UTC
Where is the signed off patch, I cant find it in the mailing list and not attached?
Comment 2 Frederic Durand 2011-04-08 07:29:24 UTC
Very sorry about that, dont know what i've done, just a very Big mistake.
All my apologies.
Comment 3 Julian Maurice 2011-08-05 10:02:15 UTC
What is the status of this bug? And where is the patch?
Comment 4 Jane Wagner 2011-08-05 13:02:31 UTC
Our github address is https://github.com/ptfs/Koha-PTFS
Comment 5 Owen Leonard 2011-08-05 13:10:25 UTC
Any bug referencing PTFS's Harley repo should be marked as "does not apply" by default. At this point I think they should be closed with "WONTFIX" unless PTFS decides to rebase their work and resubmit.
Comment 6 Jared Camins-Esakov 2012-02-13 13:20:32 UTC
The Harley integration project has been stalled for some time.